Skip to main content
POST
/
v3
/
analytics
/
scores
Get model scores
curl --request POST \
  --url https://{host}/v3/analytics/scores \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data_source": {
    "env_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "num_samples": 250000
  },
  "model_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "binary_threshold": 0.5,
  "top_k": 250,
  "metrics": []
}
'
{
  "api_version": "3.0",
  "kind": "NORMAL",
  "data": {
    "total_samples": 10000,
    "valid_samples": 9500,
    "predictions": [
      6.346766948699951,
      5.74676698811151
    ],
    "targets": [
      6,
      5
    ],
    "error_distribution": {
      "count": [
        2,
        6
      ],
      "bins": [
        0,
        1,
        2
      ]
    },
    "r_squared": 0.6934094625050112,
    "root_mean_squared_error": 0.43712324037225403,
    "mean_absolute_error": 0.34032740270302
  }
}

Documentation Index

Fetch the complete documentation index at: https://handbook.fiddler.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
data_source
object
required
model_id
string<uuid>
required

Model uuid

binary_threshold
number

Threshold for binary classification models

Required range: 0 <= x <= 1
top_k
integer

Top K for ranking models

Required range: 1 <= x <= 500
metrics
enum<string>[]
Available options:
AUC,
LOG_LOSS,
F1_SCORE,
ACCURACY,
PRECISION,
RECALL,
CONFUSION_MATRIX,
ROC_CURVE,
PRECISION_RECALL_CURVE,
CALIBRATION_CURVE,
R2,
RMSE,
MAE,
ERROR_DISTRIBUTION,
PREDICTION_SCATTERPLOT,
MAP,
NDCG,
TOP_K_MEAN_SCORE

Response

Scoring ran successfully on the given data

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL
data
object